{% extends 'base.html.twig' %}

{% block title %}Ticket{% endblock %}

{% block body %}
    <div class="container-fluid">
        <div class="card">
            <div class="card-header"><h1>Ticket#{{ ticket.id }}</h1></div>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-3">
                        {{ ticket.createdAt|date('d/m/Y') }}
                        <p>
                            {% if ticket.state == 0 %}
                                <span class="badge badge-secondary">Non traité</span>
                            {% elseif ticket.state == 1 %}
                                <span class="badge badge-info">En cours</span>
                            {% else %}
                                <span class="badge badge-success">Fermée</span>
                            {% endif %}
                             - <a class="text-info" id="open-form" href="#">Modifier</a>
                        </p>
                        <div id="form-wrapper" style="display: none;">
                            {{ form_start(form) }}
                                <div class="form-group">
                                    {{ form_widget(form.state, {attr: {class: 'form-control'}}) }}
                                    {{ form_errors(form.state) }}
                                </div>
                                <div class="form-group">
                                    <button type="submit" class="btn btn-primary btn-sm"><i class="fa fa-check"></i></button>
                                </div>
                            {{ form_end(form) }}
                        </div>
                        <strong>Infos client</strong>
                        <ul class="p-3">
                            <li>{{ ticket.client }}</li>
                            <li><a class="text-dark" href="mailto: {{ ticket.client.email }}">{{ ticket.client.email }}</a></li>
                            <li>{{ ticket.client.phone }}</li>
                        </ul>
                        <p>
                            <strong>Message</strong><br>
                            {{ ticket.message }}
                        </p>
                    </div>
                    <div class="col-md-9">
                        <div class="card">
                            <div class="card-body">
                                {{ ticket.htmlQuote|raw }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    <script>
        $('#open-form').click(function (e) {
            e.preventDefault();
            $('#form-wrapper').slideDown();
        })
    </script>
{% endblock %}